% EXAMPLE_1D Demonstrates translation-invariant hereditary Haar denoising of
% Poisson signal

% generate true intensity
% makesignal is from Stanford's WaveLab
f = MakeSignal('Piece-Regular',256)';
lam = f-min(f)+1;
lam = lam'/mean(lam)*50;

% generate poisson random variable
x = randp(lam);

y = haarTIApprox1D(x);

figure(1);clf;
plot([x;y;lam]','LineWidth',1);
axis tight;
title('Intensity Estimation');
legend('Data','Estimate','Truth');

