% EXAMPLE_2D Demonstrates translation-invariant hereditary Haar denoising of
% Poisson image

% create bowl image
f = Bowl(256)*100;

% generate noisy observations
x = randp(f);

% calculated denoised estimate
y = haarTIApprox2D(x);

% display results
figure;imagesc([f x y],[min(f(:))*.8 max(f(:))*1.2]);
axis image;colormap gray
title('Truth -- Data -- Estimate');

return

% read circle image
f = double(imread('testImage.bmp'))/5;

% generate noisy observations
x = randp(f);

% calculated denoised estimate
y = haarTIApprox(x);

% display results
figure;imagesc([f x y],[min(f(:))*.8 max(f(:))*1.2]);
axis image;colormap gray
title('Truth -- Data -- Estimate');

figure;imagesc(f,[min(f(:))*.8 max(f(:))*1.2]);
axis image;colormap gray
title('True Image');

figure;imagesc(x,[min(f(:))*.8 max(f(:))*1.2]);
axis image;colormap gray
title('Poisson Data');

figure;imagesc(y,[min(f(:))*.8 max(f(:))*1.2]);
axis image;colormap gray
title('Estimate');
