%  t_FastXRadon: Adjoint Fast Radon transform using the X-interpolator
%   I = t_FastXRadon(R)
%  Inputs
% 	R		2n*2n transform, in two batches of n columns
%  Outputs
% 	Image	n*n image, n dyadic
%  Description
% 	Performs Adjoint of FastXRadon
% 	Calculates an approximate Radon transform
% 	in a special X-geometry.  
%    The polar transform associated with continuum
% 	data is replaced by a pair of X-s, and the transform
% 	is evaluated in that geometry.  To calculate
% 	the transform at the polar grid requires re-sampling.
%
%
% Part of BeamLab Version:200
% Built:Friday,23-Aug-2002 00:00:00
% This is Copyrighted Material
% For Copying permissions see COPYING.m
% Comments? e-mail beamlab@stat.stanford.edu
%
%
% Part of BeamLab Version:200
% Built:Saturday,14-Sep-2002 00:00:00
% This is Copyrighted Material
% For Copying permissions see COPYING.m
% Comments? e-mail beamlab@stat.stanford.edu
%