%  t_fft_ua: Adjoint of Unbiased Fast Fourier Transform
%  	x= t_fft_ua(y)
%  Inputs
% 	y	dyadic row vector
%  Outputs
% 	x	dyadic column vector
%  Description
% 	Performs the adjoint of fft_ua.
% 	View the entries of y as containing
% 	   y'(-n/2), ... , y'(n/2-1)
%    This routine places in the array x
%  the values
% 	   x'(-n/2), ... , x'(n/2-1)
%  where
% 	   x'(j) = Sum( y(k) exp(2*pi*i*k*j/n) : -n/2 <= k < n/2)
% 
%
%
% Part of BeamLab Version:200
% Built:Friday,23-Aug-2002 00:00:00
% This is Copyrighted Material
% For Copying permissions see COPYING.m
% Comments? e-mail beamlab@stat.stanford.edu
%
%
% Part of BeamLab Version:200
% Built:Saturday,14-Sep-2002 00:00:00
% This is Copyrighted Material
% For Copying permissions see COPYING.m
% Comments? e-mail beamlab@stat.stanford.edu
%